id: 151
createUser: admin
createTime: 2024-12-31T07:29:12.222863201Z
name: dayTraderApp_Source+dependencies_openjdk21_test-app-qui82.37.windup
kind: analyzer
addon: analyzer
extensions:
    - java
state: Succeeded
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: true
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/target=openjdk21
        path: ""
        tags:
            excluded: []
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: true
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 37
    name: dayTraderApp_Source+dependencies_openjdk21_test-app-qui82
started: 2024-12-31T07:29:12.749654994Z
terminated: 2024-12-31T07:40:58.402179399Z
events:
    - kind: AddonSelected
      count: 1
      last: 2024-12-31T07:29:12.719394572Z
    - kind: ExtensionSelected
      count: 1
      reason: java
      last: 2024-12-31T07:29:12.74964231Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-151-d76bg
      last: 2024-12-31T07:29:12.807391277Z
    - kind: PodPending
      count: 4
      reason: ContainerCreating
      last: 2024-12-31T07:29:14.931035633Z
    - kind: PodRunning
      count: 554
      last: 2024-12-31T07:39:03.967292269Z
    - kind: PodSucceeded
      count: 1
      last: 2024-12-31T07:39:03.967293331Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''java'' had not terminated.'
      last: 2024-12-31T07:39:04.161939183Z
    - kind: PodDeleted
      count: 1
      last: 2024-12-31T07:40:58.402029217Z
    - kind: Released
      count: 1
      last: 2025-01-03T07:41:38.324213208Z
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Cloning: https://github.com/WASdev/sample.daytrader7'
    - '[FILE] Created /addon/.gitconfig.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/WASdev/sample.daytrader7 /shared/source/sample'
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: id=23 (openjdk17)'
    - '[RULESET] fetching (dep): id=1 (.discovery)'
    - '[RULESET] fetching (dep): id=20 (.technology-usage)'
    - '[RULESET] fetching: id=14 (openjdk11/openjdk8)'
    - '[RULESET] fetching: id=13 (openjdk7/oraclejdk7)'
    - '[RULESET] fetching: id=15 (openjdk17/openjdk11)'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/23/rules /addon/rules/rulesets/23/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/1/rules /addon/rules/rulesets/1/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/20/rules /addon/rules/rulesets/20/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/14/rules /addon/rules/rulesets/14/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/13/rules /addon/rules/rulesets/13/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/15/rules /addon/rules/rulesets/15/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/issues.yaml --dep-output-file /addon/deps.yaml --rules /addon/rules/rulesets/23/rules --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/20/rules --rules /addon/rules/rulesets/14/rules --rules /addon/rules/rulesets/13/rules --rules /addon/rules/rulesets/15/rules --label-selector konveyor.io/target=openjdk21'
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 37.'
    - '[CMD] Running: /usr/bin/git rev-parse HEAD'
    - '[CMD] /usr/bin/git succeeded.'
    - 'Analysis 37 reported. duration: 47.552859ms'
    - Facts updated.
    - Done.
attached:
    - id: 1617
      name: ssh-agent.output
      activity: 9
    - id: 1618
      name: git.output
      activity: 14
    - id: 1619
      name: windup-shim.output
      activity: 22
    - id: 1620
      name: windup-shim.output
      activity: 24
    - id: 1621
      name: windup-shim.output
      activity: 26
    - id: 1622
      name: windup-shim.output
      activity: 28
    - id: 1623
      name: windup-shim.output
      activity: 30
    - id: 1624
      name: windup-shim.output
      activity: 32
    - id: 1625
      name: settings.yaml
      activity: 33
    - id: 1626
      name: konveyor-analyzer.output
      activity: 34
    - id: 1630
      name: git.output
      activity: 37
